import eval
import search
from mancala import *

maxPly = 6
scoreTolerance = 10

class AiRandom(Player):
	def __init__(self):
		Player.__init__(self, "Random")

	def ChooseMove(self, idSide, board):
		moves = LegalMoves(idSide, board)
		return random.choice(moves)


class Ai(Player):
	def __init__(self):
		Player.__init__(self, "Negamax(%d)" % maxPly)

	def ChooseMove(self, idSide, board):
		return search.Search(maxPly, scoreTolerance, idSide, board)


def AiPlayer(difficulty):
	assert 0 <= difficulty and difficulty <= 100
	return Ai()

# even weaker negamax ai tends to win against one that looks at more moves - iff it starts